Subject: Re: [PATCH wpan-next v4 07/11] mac802154: Handle association requests from peers

From: Miquel Raynal <[email-masked]>
Date: Wed, 27 Sep 2023 17:40:37 +0200

Hi Alexander,

[email-masked] wrote on Tue, 26 Sep 2023 21:37:23 -0400:

> Hi,
> 
> On Fri, Sep 22, 2023 at 11:51 AM Miquel Raynal
> <[email-masked]> wrote:
> >
> > Coordinators may have to handle association requests from peers which
> > want to join the PAN. The logic involves:
> > - Acknowledging the request (done by hardware)
> > - If requested, a random short address that is free on this PAN should
> >   be chosen for the device.
> > - Sending an association response with the short address allocated for
> >   the peer and expecting it to be ack'ed.
> >
> > If anything fails during this procedure, the peer is considered not
> > associated.  
> 
> I thought a coordinator can also reject requests for _any_ reason and
> it's very user specific whatever that reason is.

Absolutely.

> If we have such a case (that it is very user specific what to do
> exactly) this should be able to be controlled by the user space to
> have there a logic to tell the kernel to accept or reject the
> association.

Agreed (not implemented yet, though).

> However, I am fine with this solution, but I think we might want to
> change this behaviour in the future so that an application in the user
> space has the logic to tell the kernel to accept or reject an
> association. That would make sense?

Definitely, yes.

Thanks,
Miquèl